<?php

use yii\db\Migration;

class m160418_124301_add_user_stop_words_table extends Migration
{
    public function up()
    {
        $this->createTable(
            'user_stop_words',
            [
                'id' => $this->primaryKey(),
                'active' => $this->boolean()->defaultValue(true),
                'word' => $this->string(255)->notNull()
            ]
        );
    }

    public function down()
    {
        $this->dropTable('user_stop_words');
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
